Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci
Class AciResponseChecker

    java.lang.Object
      com.autonomy.aci.AciResponseChecker

public class AciResponseChecker
extends java.lang.Object

A utility class which analyses the response from an ACI server to see if an action request was correctly processed.

Constructor Summary
`AciResponseChecker()`

Method Summary
`static void` | `check(AciResponse response)` Analyses the response from an ACI server and throws an appropriate exception if an error is found.
`static void` | `check(AciResponse response, AciConnection server)` Analyses the response from an ACI server and throws an appropriate exception if an error is found.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AciResponseChecker

    public AciResponseChecker()

Method Detail

### check

    public static void check(AciResponse response,
                             AciConnection server)
                      throws AciException

  Analyses the response from an ACI server and throws an appropriate exception if an error is found. If no specific reason can be found for the request to have failed, a generic AciException is thrown.

  Parameters:
    `response` - the response recieved from attempting to execute an action on an ACI server.
    `server` - the ACI server on which the action was executed.
  Throws:
    `ForbiddenActionException` - if the attempted action was forbidden by the client.
    `MissingParameterException` - if one or more parameters was missing from the action.
    `BadParameterException` - if one or more parameters was incorrect in the action.
    `UnlicensedActionException` - if the ACI server is not licensed to perform the action.
    `ServerNotAvailableException` - if no response was received from the ACI server.
    `AciException` - if an error was detected but no reason could be found.

### check

    public static void check(AciResponse response)
                      throws AciException

  Analyses the response from an ACI server and throws an appropriate exception if an error is found. If no specific reason can be found for the request to have failed, a generic AciException is thrown.

  Parameters:
    `response` - the response recieved from attempting to execute an action on an ACI server.
  Throws:
    `ForbiddenActionException` - if the attempted action was forbidden by the client.
    `MissingParameterException` - if one or more parameters was missing from the action.
    `BadParameterException` - if one or more parameters was incorrect in the action.
    `UnlicensedActionException` - if the ACI server is not licensed to perform the action.
    `ServerNotAvailableException` - if no response was recieved from the ACI server.
    `AciException` - if an error was detected but no reason could be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD